log_level.cpp File Reference

Implementation of the claw::log_level class. More...

`#include <claw/log_level.hpp>`
`#include <claw/claw_gettext.hpp>`

Go to the source code of this file.

## Namespaces

namespace | claw
| This is the main namespace.

## Variables

log_level | claw::log_error (0, "error: ")
| Use this level if something goes really bad and your application may crash.
log_level | claw::log_warning (1, "warning: ")
| Use this level if a small problem occurs and you can deal with it without crashing the application.
log_level | claw::log_verbose (15)
| Use this level if you want to inform the user about a situation that is not problematic.

## Detailed Description

Implementation of the claw::log_level class.

Author
  Julien Jorge

Definition in file log_level.cpp.